Notice Service API
Configure Notice URL
Request URL
POST /api/v1.0/invoke/open-ability/method/general-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| notice_url | String | Body | Yes | Notice URL |
| custom | []Object<custom> | Body | No | Custom information |
custom description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| notice_type | String | Body | No | Notice type family: listen notice of changes in family account: listen notice of changes in account device: listen notice of changes in device space: listen notice of changes in space scene: listen notice of changes in scene communication: listen notice of changes in communication maintenance: listen notice of changes in maintenance booking: listen notice of changes in booking general_device: listen notice of changes in general device |
| notice_url | String | Body | No | Notice URL |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/general-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "configure_notice_url",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"notice_url": "https://demo.akubela.com"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}